Topics

[espeak-ng:master] new issue: What is the CORRECT Identifier? #github


espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by gelodefaultbrain:
#827 What is the CORRECT Identifier?

Hello! I am trying to get the IPA of certain words and sentences of arabic. Then I do this. As you can see there I put the language="ar" as the argument or parameter but it gives me an error that the language "ar" is not supported? How is that possible where on the documentation I see that it is "ar"?

	letter_ipa = phonemize(lower_case_letter,language="ar",backend="espeak")
	word_ipa = phonemize(word,language="ar",backend="espeak")

However it says this

    raise RuntimeError(
RuntimeError: language "ar" is not supported by the espeak backend

I don't understand cause base on the documentation. It clearly says that it is ar as the identifier

image

Can the developers please UPDATE the identifiers cause srsly it's kinda confusing or maybe I just don't know the right identifier and at least it can be provided there. Thank you!

PS: I am doing this in the python programming language